aboutsummaryrefslogtreecommitdiffstats
path: root/tests/arch
diff options
context:
space:
mode:
Diffstat (limited to 'tests/arch')
-rwxr-xr-xtests/arch/run-test.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/arch/run-test.sh b/tests/arch/run-test.sh
new file mode 100755
index 000000000..fc4175be8
--- /dev/null
+++ b/tests/arch/run-test.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -e
+
+echo "Running syntax check on arch sim models"
+for arch in ../../techlibs/*; do
+ find $arch -name cells_sim.v -print0 | xargs -0 -n1 -r iverilog -t null -I$arch
+done